Bug 134605 - Unable to configure AVM Fritz!PCI v2.0 ISDN card
Unable to configure AVM Fritz!PCI v2.0 ISDN card
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-network (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2004-10-04 17:43 EDT by Uwe Beck
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0094
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:37:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel .config file with isdn support and ls -l drivers/isdn (12.56 KB, application/x-gzip)
2004-10-18 17:19 EDT, Uwe Beck
no flags Details

  None (edit)
Description Uwe Beck 2004-10-04 17:43:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
There is no entry in the isdn hardware choice menu for the "AVM
Fritz!PCI v2.0" and "AVM Fritz!PCI v2.1" ISDN card at this time.

The /etc/sysconfig/isdncard file must contain:

RESOURCES='protocol=2'
NAME='AVM PCI (Fritz!PCI v2)'
MODULE=hisax_fcpcipnp
VENDOR_ID=
FIRMWARE=

"AVM Fritz!PCI v2.1" is the current version of this isdn pci card and
use also the hisax_fcpcipnp module.

Version-Release number of selected component (if applicable):
system-config-network-1.3.20-1

How reproducible:
Always

Steps to Reproduce:
1. use system-config-network for configuration AVM Fritz!PCI v2.0 ISDN
card
2.
3.
    

Actual Results:  AVM Fritz!PCI v2.0 ISDN missing in hardware choice

Expected Results:  should be able to configure AVM Fritz!PCI v2.0 ISDN
with system-config-network

Additional info:
Comment 2 Harald Hoyer 2004-10-18 11:33:11 EDT
do we deliver the hisax_fcpcipnp module with our RHEL kernel?
Comment 4 Uwe Beck 2004-10-18 17:11:13 EDT
Support for isdn will be in RHEL4 (for more informations ask Lars
Herrmann). The kernel source contain the isdn modules but the isdn
support was forget to activate. So the isdn modules are not in the
kernel-2.6.8-1.528.2.10 rpm by default.
If you build an own kernel with isdn support the hisax_fcpcipnp module
is available and works correct.

# lsmod
hisax_fcpcipnp         14612  4
hisax_isac             10772  1 hisax_fcpcipnp
hisax                 465456  2 hisax_fcpcipnp,hisax_isac
crc_ccitt               2176  1 hisax
isdn                  129248  13 hisax
slhc                    5888  1 isdn

/etc/sysconfig/isdncard
RESOURCES='protocol=2'
NAME='AVM PCI (Fritz!PCI v2)'
MODULE=hisax_fcpcipnp
VENDOR_ID=
FIRMWARE=

I am online with RHEL4_BETA1 and the AVM PCI (Fritz!PCI v2) isdncard
at this time.
Comment 5 Uwe Beck 2004-10-18 17:19:07 EDT
Created attachment 105400 [details]
kernel .config file with isdn support and ls -l drivers/isdn
Comment 6 Uwe Beck 2004-11-10 19:21:49 EST
Same problem with system-config-network-1.3.22-1 (RHEL4_BETA2).
AVM Fritz!PCI v2.0 ISDN is missing in hardware choice.
kernel-2.6.9-1.648_EL now provides all isdn card kernel modules, so
the hisax_fcpcipnp module for the VM Fritz!PCI v2.0 ISDN card is
available.

ls -l /lib/modules/2.6.9-1.648_EL/kernel/drivers/isdn/hisax
-rwxr--r--  1 root root   8224 26. Okt 19:19 avma1_cs.ko
-rwxr--r--  1 root root   8388 26. Okt 19:19 elsa_cs.ko
-rwxr--r--  1 root root  20964 26. Okt 19:19 hfc_usb.ko
-rwxr--r--  1 root root  17388 26. Okt 19:19 hisax_fcpcipnp.ko   <--
-rwxr--r--  1 root root  11568 26. Okt 19:19 hisax_isac.ko
-rwxr--r--  1 root root 612856 26. Okt 19:19 hisax.ko
-rwxr--r--  1 root root  29604 26. Okt 19:19 hisax_st5481.ko
-rwxr--r--  1 root root   6944 26. Okt 19:19 isdnhdlc.ko
-rwxr--r--  1 root root   9316 26. Okt 19:19 sedlbauer_cs.ko
-rwxr--r--  1 root root   8520 26. Okt 19:19 teles_cs.ko
Comment 7 Uwe Beck 2005-05-14 07:47:27 EDT
Also open in RHEL4 final.
Comment 8 Uwe Beck 2005-06-14 16:38:42 EDT
You can only configure this card by hand in /etc/sysconfig/isdncard. This is also
open in RHEL4 U1.
Comment 9 Uwe Beck 2005-06-15 12:26:57 EDT
system-config-network in RHEL4 needs the card in choice and the correct 
parameters in /etc/sysconfig/isdncard are:

RESOURCES='protocol=2'
NAME='AVM PCI (Fritz!PCI v2)'
MODULE=hisax_fcpcipnp
VENDOR_ID=
FIRMWARE=
Comment 10 Harald Hoyer 2005-09-08 12:02:49 EDT
Does this work also?

$ cat /etc/sysconfig/isdncard
RESOURCES='protocol=2'
NAME='AVM PCI (Fritz!PCI v2)'
MODULE=hisax_fcpcipnp
VENDOR_ID=1244
FIRMWARE=
Comment 11 Uwe Beck 2005-09-08 14:53:07 EDT
In previous Red Hat version the "VENDOR_ID=1244" was also set for this card.
Yes, it works.
Comment 12 Harald Hoyer 2005-09-09 10:12:39 EDT
Does this version fix your problems?
ftp://people.redhat.com/harald/system-config-network/1.3.22.0.EL.4.1-1/
Comment 13 Uwe Beck 2005-10-05 12:01:43 EDT
The fix is ok..
Comment 19 Red Hat Bugzilla 2006-03-07 13:37:00 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0094.html

Note You need to log in before you can comment on or make changes to this bug.